package com.ck.library;

import com.ck.domain.Book ;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.jboss.annotation.ejb.RemoteBinding;

@Stateless
@RemoteBinding(jndiBinding="BrSlLibraryRemote")
public class BoSlLibrary implements BoSlLibraryRemote
{
    @PersistenceContext(unitName="ck") private EntityManager manager;

    public void createBook(Book book)
    {
        manager.persist(book);
    }
    public Book findBook(int book){
      return  manager.find(Book.class,book);
    }
}
