package com.ck.library;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import com.ck.domain.Borrower;
import org.jboss.annotation.ejb.RemoteBinding;

@Stateless
@RemoteBinding(jndiBinding="BrSlLibraryRemote")
public class BrSlLibrary implements BrSlLibraryRemote
{
    @PersistenceContext(unitName="ck") private EntityManager manager;

    public void createBrrower(Borrower borrower)
    {
        manager.persist(borrower);
    }
    public Borrower findBorrower(int cardNo){
        return manager.find(Borrower.class,cardNo);
    }
}
