package com.ck.library;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.ck.domain.Loan;
import com.ck.library.LoSlLibraryRemote;

import org.jboss.annotation.ejb.RemoteBinding;

@Stateless
@RemoteBinding(jndiBinding="LoSlLibraryRemote")
public class LoSlLibrary implements LoSlLibraryRemote
{
    @PersistenceContext(unitName="ck") private EntityManager manager;

    public void createLoan(Loan loan)
    {
        manager.persist(loan);
    }
}
